## avidemux 2.8.0

=== avidemux/cli/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

PROJECT(Avidemux_CLI)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/../../cmake" "${CMAKE_MODULE_PATH}")
include(avidemuxVersion)

MESSAGE("")
MESSAGE("#########################################")
MESSAGE("Configure for avidemux Cli Started")
MESSAGE("#########################################")
MESSAGE("")

MESSAGE(STATUS "Checking for avidemux development files ..")

IF(NOT FAKEROOT)
	SET(AVIDEMUX_FAKEROOT "")
else(NOT FAKEROOT)
	SET(AVIDEMUX_FAKEROOT "${FAKEROOT}")
endif(NOT FAKEROOT)

SET(ADM_HEADER_DIR ${AVIDEMUX_FAKEROOT}${CMAKE_INSTALL_PREFIX}/include/avidemux/${AVIDEMUX_API_VERSION})
SET(ADM_CMAKE_DIR  ${ADM_HEADER_DIR}/cmake)
# Common definitions...
SET(CMAKE_MODULE_PATH "${ADM_CMAKE_DIR}" "${CMAKE_MODULE_PATH}")
MESSAGE(STATUS  "Checking for avidemux include folder (i.e. CMAKE_INSTALL_PREFIX/include/avidemux/${AVIDEMUX_API_VERSION}")
if(NOT EXISTS "${ADM_HEADER_DIR}")
        MESSAGE(STATUS  "Make sure you installed all the files.\n i cannot find avidemux include folder.cmake .\nSet CMAKE_INSTALL_PREFIX to the install folder, current value is ${CMAKE_INSTALL_PREFIX}")
        MESSAGE(FATAL_ERROR  "Aborting")
endif(NOT EXISTS "${ADM_HEADER_DIR}")

MESSAGE(STATUS "Found avidemux include folder. good.")
MESSAGE(STATUS "Checking for cmake subfolder")

if(NOT EXISTS "${ADM_CMAKE_DIR}/commonCmakeApplication.cmake")
        MESSAGE(STATUS  "Make sure you installed all the files.\n I cannot find content of the cmake subfolder .\n")
        MESSAGE(STATUS  "Set CMAKE_INSTALL_PREFIX to the install folder, current value is ${CMAKE_INSTALL_PREFIX}")
        MESSAGE(STATUS  "I was looking for commonCmakeApplication.cmake in  ${ADM_CMAKE_DIR}")
        MESSAGE(FATAL_ERROR  "Aborting")
endif(NOT EXISTS "${ADM_CMAKE_DIR}/commonCmakeApplication.cmake")
MESSAGE(STATUS "Found cmake subfolder.good.")


include(commonCmakeApplication)
INCLUDE(admWindRes)

##########################################
# Config
##########################################
ADD_DEFINITIONS(-DADM_UI_TYPE_BUILD=ADM_UI_CLI)
SET(CONFIG_HEADER_TYPE ADM_BUILD_CLI)
SET(UI_SUFFIX cli)

CONFIGURE_FILE("${ADM_CMAKE_DIR}/config.h.cmake" "${CMAKE_BINARY_DIR}/config/cli/config.h")
MESSAGE(STATUS "CLI config.h generated")

INCLUDE_DIRECTORIES(BEFORE "${CMAKE_BINARY_DIR}/config/cli/")

########################################
# Add subdirectories 
########################################
ADD_SUBDIRECTORY(../common ./common)
ADD_SUBDIRECTORY(ADM_UIs ./ADM_UIsCli)
ADD_SUBDIRECTORY(ADM_userInterfaces ./ADM_userInterfacesCli)

SDLify(../common/main.cpp)
if (ADM_SUBVERSION)
        ADD_SOURCE_CFLAGS(../common/main.cpp "-DADM_SUBVERSION=\"${ADM_SUBVERSION}\"")
endif (ADM_SUBVERSION)
ADD_SOURCE_CFLAGS(../common/main.cpp "-DADM_VERSION=\"${AVIDEMUX_VERSION}\"")

###########################################
# Version Info
###########################################
if (WIN32)
        WINDRESIFY(mainCLI  "${CMAKE_CURRENT_SOURCE_DIR}/../common/xpm/adm.ico" src "avidemux_cli" "Avidemux Video Editor, CLI Version")
        SET(ADM_EXE_SRCS ${ADM_EXE_SRCS} ${src})
endif (WIN32)

###########################################
# Executable
###########################################
include_directories("${PTHREAD_INCLUDE_DIR}")
ADD_EXECUTABLE(avidemux3_cli ${ADM_EXE_SRCS})

###########################################
# Construct common libraries
###########################################
FOREACH (_libName ${commonLibs1})
        TARGET_LINK_LIBRARIES(avidemux3_cli ${_libName})
ENDFOREACH (_libName ${commonLibs1})

TARGET_LINK_LIBRARIES(avidemux3_cli ADM_filtersCli6)

FOREACH (_libName ${commonLibs2})
        TARGET_LINK_LIBRARIES(avidemux3_cli ${_libName})
ENDFOREACH (_libName ${commonLibs2})

FOREACH (_libName ${coreLibs})
        TARGET_LINK_LIBRARIES(avidemux3_cli ${_libName})
ENDFOREACH (_libName ${coreLibs})

#############################################
# Add gtk specific libs
#############################################
TARGET_LINK_LIBRARIES(avidemux3_cli
	ADM_UI_Cli6
	ADM_dialogCli6
	ADM_toolkit6
	ADM_coreAudio6
	ADM_coreUtils6
	ADM_gui2Cli6
	ADM_toolkitCli6
	ADM_shellCli
)

###########################################
# External libs
###########################################
# gettext
IF (GETTEXT_FOUND)
	TARGET_LINK_LIBRARIES(avidemux3_cli ${GETTEXT_LIBRARY_DIR})
ENDIF (GETTEXT_FOUND)


# SDL
IF (USE_SDL)
        TARGET_LINK_LIBRARIES(avidemux3_cli ${SDL2_LIBRARY} ${SDL2_MAIN})
ENDIF (USE_SDL)

###########################################
# OS Specific
###########################################
if (WIN32 OR APPLE)
	set_property(TARGET avidemux3_cli PROPERTY OUTPUT_NAME avidemux_cli)
endif (WIN32 OR APPLE)

IF (MINGW)
	target_link_libraries(avidemux3_cli winmm -mwindows -Wl,-subsystem,console -Wl,--export-all-symbols)
ENDIF (MINGW)

###########################################
# Install
###########################################
ADM_LINK_THREAD(avidemux3_cli)
ADM_INSTALL_BIN(avidemux3_cli)

DISPLAY_SUMMARY_LIST()

include(admPackager)
admPackager(cliPackage)
INSTALL(FILES ${CMAKE_BINARY_DIR}/config/cli/config.h DESTINATION "${AVIDEMUX_INCLUDE_DIR}/avidemux/${AVIDEMUX_API_VERSION}/cli" COMPONENT dev) 
INSTALL(FILES ${CMAKE_SOURCE_DIR}/ADM_UIs/include/ADM_UI_Cli6_export.h DESTINATION "${AVIDEMUX_INCLUDE_DIR}/avidemux/${AVIDEMUX_API_VERSION}/cli/ADM_UIs" COMPONENT dev) 
MESSAGE("")

=== avidemux_plugins/ADM_audioDecoders/CMakeLists.txt ===
ADD_SUBDIRECTORY(ADM_ad_ac3)
ADD_SUBDIRECTORY(ADM_ad_faad)
ADD_SUBDIRECTORY(ADM_ad_mad)
ADD_SUBDIRECTORY(ADM_ad_vorbis)
ADD_SUBDIRECTORY(ADM_ad_dca)
#ADD_SUBDIRECTORY(ADM_ad_amrnb)
ADD_SUBDIRECTORY(ADM_ad_lav)
ADD_SUBDIRECTORY(ADM_ad_ulaw)
ADD_SUBDIRECTORY(ADM_ad_ms_adpcm)
ADD_SUBDIRECTORY(ADM_ad_ima_adpcm)
ADD_SUBDIRECTORY(ADM_ad_opencore_amrwb)
ADD_SUBDIRECTORY(ADM_ad_opencore_amrnb)
ADD_SUBDIRECTORY(ADM_ad_opus)

=== avidemux_plugins/ADM_videoFilters6/CMakeLists.txt ===
IF(NOT MSVC)
        ADD_SUBDIRECTORY(fluxSmooth)
        ADD_SUBDIRECTORY(telecide)
ENDIF(NOT MSVC)


ADD_SUBDIRECTORY(asciiView)
ADD_SUBDIRECTORY(addBorder)
ADD_SUBDIRECTORY(admIvtc)
ADD_SUBDIRECTORY(analyzer)
ADD_SUBDIRECTORY(asharp)
ADD_SUBDIRECTORY(ass)
ADD_SUBDIRECTORY(avsfilter)
ADD_SUBDIRECTORY(black)
ADD_SUBDIRECTORY(blackenBorder)
ADD_SUBDIRECTORY(blend)
ADD_SUBDIRECTORY(blur)
ADD_SUBDIRECTORY(changeFps)
ADD_SUBDIRECTORY(colorBalance)
ADD_SUBDIRECTORY(colorTemp)
ADD_SUBDIRECTORY(colorYUV)
ADD_SUBDIRECTORY(contrast)
ADD_SUBDIRECTORY(chromaShift)
ADD_SUBDIRECTORY(crop)
#ADD_SUBDIRECTORY(decimate)
ADD_SUBDIRECTORY(delogoHQ)
ADD_SUBDIRECTORY(dgBob)
ADD_SUBDIRECTORY(dummy)
ADD_SUBDIRECTORY(eq2)
ADD_SUBDIRECTORY(fadeToBlack)
ADD_SUBDIRECTORY(fadeTo)
ADD_SUBDIRECTORY(fastConvolution)
ADD_SUBDIRECTORY(fields)
ADD_SUBDIRECTORY(fitToSize)
#ADD_SUBDIRECTORY(horizontalFlip)
ADD_SUBDIRECTORY(hue)
ADD_SUBDIRECTORY(ivtcDupeRemover)
ADD_SUBDIRECTORY(kernelDeint)
ADD_SUBDIRECTORY(largeMedian)
ADD_SUBDIRECTORY(lavDeint)
ADD_SUBDIRECTORY(logo)
ADD_SUBDIRECTORY(lumaOnly)
ADD_SUBDIRECTORY(lumaStab)
#ADD_SUBDIRECTORY(mcDeint) Does not work ???
ADD_SUBDIRECTORY(mplayerDenoise3D)
ADD_SUBDIRECTORY(mplayerDelogo)
ADD_SUBDIRECTORY(mSharpen)
ADD_SUBDIRECTORY(negative)
ADD_SUBDIRECTORY(printInfo)
ADD_SUBDIRECTORY(removePlane)
ADD_SUBDIRECTORY(resampleFps)
ADD_SUBDIRECTORY(resize)
ADD_SUBDIRECTORY(rotate)
ADD_SUBDIRECTORY(stackField)
ADD_SUBDIRECTORY(stillimage)
ADD_SUBDIRECTORY(swapUV)
ADD_SUBDIRECTORY(yadif)
IF(USE_LIBVA AND DO_COMMON)
        ADD_SUBDIRECTORY(vaapiFilters)
ENDIF(USE_LIBVA AND DO_COMMON)
ADD_SUBDIRECTORY(vdpauFilters)
#ADD_SUBDIRECTORY(verticalFlip)
ADD_SUBDIRECTORY(waveletDenoise)
ADD_SUBDIRECTORY(waveletSharp)
ADD_SUBDIRECTORY(artCartoon)
ADD_SUBDIRECTORY(artCharcoal)
ADD_SUBDIRECTORY(artChromaHold)
ADD_SUBDIRECTORY(artChromaKey)
ADD_SUBDIRECTORY(artColorEffect)
ADD_SUBDIRECTORY(artDynThreshold)
ADD_SUBDIRECTORY(artGrid)
ADD_SUBDIRECTORY(artMirror)
ADD_SUBDIRECTORY(artPixelize)
ADD_SUBDIRECTORY(artPosterize)
ADD_SUBDIRECTORY(artVHS)
ADD_SUBDIRECTORY(artVignette)
ADD_SUBDIRECTORY(flip)
ADD_SUBDIRECTORY(quadTrans)
ADD_SUBDIRECTORY(imageStab)
ADD_SUBDIRECTORY(zoom)
ADD_SUBDIRECTORY(fadeFromImage)
#ADD_SUBDIRECTORY(fadeInOut)
ADD_SUBDIRECTORY(fadeThrough)
ADD_SUBDIRECTORY(deband)

=== avidemux_core/ADM_coreUtils/src/CMakeLists.txt ===
ADD_SUBDIRECTORY(Source)
SET(ADM_coreUtils_SRCS 
ADM_confCouple.cpp  
ADM_bitstream.cpp 
avidemutils.cpp  
ADM_quota.cpp
fourcc.cpp
ADM_infoExtractor.cpp
ADM_infoExtractorH264.cpp
ADM_infoExtractorH265.cpp
ADM_infoExtractorVC1.cpp
ADM_frameType.cpp
ADM_codecType.cpp
ADM_file.cpp
ADM_paramList.cpp
ADM_coreCodecMapping.cpp
ADM_threadQueue.cpp
ADM_string.cpp
ADM_getbits.cpp
ADM_writeRiff.cpp
prefs.cpp
prefs2_json.cpp
ADM_memio.cpp
ADM_json.cpp
ADM_iso639.cpp
ADM_last.cpp
)

include_directories(../include Source "${PTHREAD_INCLUDE_DIR}")
add_definitions("-std=c++11")
ADM_ADD_SHARED_LIBRARY(ADM_coreUtils6 ${ADM_coreUtils_SRCS})
TARGET_LINK_LIBRARIES(ADM_coreUtils6 ADM_json ADM_core6 ADM_coreUI6 ADM_libavutil ADM_libavcodec )

if (NOT ${CMAKE_VERSION} VERSION_GREATER 2.8.3)
	add_dependencies(ADM_coreUtils6 libavcodec libavutil)
endif (NOT ${CMAKE_VERSION} VERSION_GREATER 2.8.3)

if (MSVC)
	add_definitions(-DNDEBUG)
endif (MSVC)

ADM_INSTALL_LIB(ADM_coreUtils6)

=== avidemux/qt4/ADM_userInterfaces/ADM_filters/CMakeLists.txt ===
SET(ADM_LIB ADM_filters${QT_LIBRARY_EXTENSION})

ADM_QT_WRAP_UI(${ADM_LIB}_header  mainfilter.ui  seekablePreview.ui)
ADM_QT_WRAP_CPP(${ADM_LIB}_source  Q_mainfilter.h  Q_seekablePreview.h)
ADM_QT_ADD_RESOURCES(${ADM_LIB}_resource  filter.qrc)

SET(${ADM_LIB}_SRCS
	filter_none.cpp  
        Q_mainfilter.cpp 
#        Q_partialize.cpp 
        Q_seekablePreview.cpp 
        ${${ADM_LIB}_header}  ${${ADM_LIB}_source}  ${${ADM_LIB}_resource})

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
ADD_LIBRARY(${ADM_LIB} STATIC ${${ADM_LIB}_SRCS})

=== debian/control ===
Source: avidemux
Section: non-free/video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jhonny Oliveira <jhonny.oliveira@gmail.com>
# XSBC-Original-Maintainer: Thanh Tung Nguyen <thngtong@gmail.com>
Homepage: http://avidemux.org
Standards-Version: 4.5.0
Build-Depends: cmake (>= 3.0),
               debhelper-compat (= 12),
               dh-exec,
               liba52-0.7.4-dev,
#               libaften-dev,
               libaom-dev,
               libasound2-dev,
               libass-dev,
               libavutil-dev,
               libdca-dev,
               libfaac-dev,
               libfdk-aac-dev,
               libfontconfig1-dev,
               libfribidi-dev,
               libmad0-dev,
               libmp3lame-dev,
               libogg-dev,
#               libopenh264-dev,
               libopus-dev,
               libpng-dev,
               libpostproc-dev,
               libpulse-dev,
               libsqlite3-dev,
               libswscale-dev,
               libva-dev,
               libvdpau-dev,
               libvorbis-dev,
               libvpx-dev,
               libx264-dev,
               libx265-dev,
               libxv-dev,
               libxvidcore-dev,
#               nv-codec-headers,
               pkg-config,
               qtbase5-dev,
               qttools5-dev-tools,
               yasm
Vcs-Git: git://github.com/mean00/avidemux2.git
Vcs-Browser: http://github.com/mean00/avidemux2

Package: avidemux-cli
Architecture: any
Depends: libavidemux6 (= ${binary:Version}),
         libavidemux6-cli (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         avidemux-plugins-cli
Conflicts: avidemux2.7-cli
Replaces: avidemux2.7-cli
Description: Free video editor - command line version
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the command line interfaceand a Perl script to display
 the help message without the application log.

Package: avidemux-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: avidemux-common (<< 2.6), avidemux2.7-common
Replaces: avidemux (<= 1:2.4.0), avidemux2.7-common
Description: Free video editor - Common files
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the common files.

Package: avidemux-jobs-qt
Architecture: any
Depends: avidemux-common, ${misc:Depends}, ${shlibs:Depends}, avidemux-cli
Conflicts: avidemux2.7-jobs-qt5
Replaces: avidemux2.7-jobs-qt5
Description: Free video editor - Jobs (Qt 5)
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the jobs application with the Qt 5 UI.

Package: avidemux-plugins-cli
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: avidemux-cli (= ${binary:Version})
Suggests: avidemux-plugins-common, avidemux-plugins-settings
Conflicts: avidemux-plugins,
           avidemux2.7-plugins-cli,
           avidemux2.7-unstable-plugins-cli
Replaces: avidemux-plugins, avidemux2.7-plugins
Description: Free video editor - CLI plugins
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package includes plugins to extend the functionalites of Avidemux CLI.

Package: avidemux-plugins-common
Architecture: any
Depends: avidemux-cli (= ${binary:Version}) | avidemux-qt (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: avidemux-plugins, avidemux2.7-plugins-common
Replaces: avidemux-plugins, avidemux2.7-plugins-common
Description: Free video editor - common plugins for all UIs
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package includes common plugins to all UIs to extend the functionalities
 of Avidemux.

Package: avidemux-plugins-qt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: avidemux-plugins, avidemux2.7-plugins-qt5
Replaces: avidemux-plugins, avidemux2.7-plugins-qt5
Description: Free video editor - Qt 5 plugins
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package includes plugins to extend the functionalities of Avidemux Qt 5.

Package: avidemux-plugins-settings
Architecture: any
Depends: avidemux-plugins-cli (= ${binary:Version}) | avidemux-plugins-qt (= ${binary:Version}),
         ${misc:Depends}
Conflicts: avidemux2.7-plugins-settings
Replaces: avidemux2.7-plugins-settings
Description: Free video editor - settings for the x264 and x265 plugins
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package provides presets for the x264 and x265 plugins.

Package: avidemux-qt
Architecture: any
Depends: avidemux-common,
         avidemux-qt-data,
         libavidemux6 (= ${binary:Version}),
         libavidemux6-qt (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         avidemux-plugins-common, avidemux-plugins-qt
Suggests: vdpau-va-driver | xvba-va-driver | i965-va-driver
Conflicts: avidemux2.7-qt5
Replaces: avidemux2.7-qt5
Description: Free video editor - QT 5 version
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 Avidemux QT 5 can use hardware accelerated decoding depending on your hardware
 (VDPAU for Nvidia, XVBA for AMD, LibVA for Intel).
 .
 This package contains the QT 5 interface.

Package: avidemux-qt-data
Architecture: all
Depends: ${misc:Depends}
Recommends: avidemux-qt
Conflicts: avidemux2.7-qt5-data
Replaces: avidemux2.7-qt5-data
Description: Free video editor - QT 5 version (internationalization files)
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 Avidemux QT 5 can use hardware accelerated decoding depending on your hardware
 (VDPAU for Nvidia, XVBA for AMD, LibVA for Intel).
 .
 This package contains the translation files for Avidemux QT 5.

Package: libavidemux6
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libavidemux-6, libavidemux2.7-6
Replaces: libavidemux-6, libavidemux2.7-6
Description: Free video editor - shared libraries
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the shared libraries.

Package: libavidemux6-cli
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libavidemux-cli-6, libavidemux2.7-cli-6
Replaces: libavidemux-cli-6, libavidemux2.7-cli-6
Description: Free video editor - shared libraries
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the shared libraries needed to run the command-line
 interface.

Package: libavidemux-cli-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libavidemux-dev (= ${binary:Version}),
         libavidemux6-cli (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libavidemux2.7-cli-dev
Replaces: libavidemux2.7-cli-dev
Description: Free video editor (devel)
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the headers to build your own plugins using the
 command-line interface.
 .
 http://www.avidemux.org/admWiki/doku.php?id=build:devel_2.6

Package: libavidemux-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libavidemux6 (= ${binary:Version}),
         libsqlite3-dev (>= 3.5.9),
         libva-dev (>= 1.2.0),
         ${misc:Depends}
Conflicts: libavidemux2.7-dev
Replaces: libavidemux2.7-dev
Description: Free video editor - development files
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the headers to build your own plugins.
 .
 http://www.avidemux.org/admWiki/doku.php?id=build:devel_2.6

Package: libavidemux6-qt
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libavidemux-qt-6, libavidemux2.7-qt5-6
Replaces: libavidemux-qt-6, libavidemux2.7-qt5-6
Description: Free video editor - shared libraries
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the shared libraries needed to run the QT 5 interface.

Package: libavidemux-qt-dev
Architecture: any
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: libavidemux-dev (= ${binary:Version}),
         libavidemux6-qt (= ${binary:Version}),
         libgl1-mesa-dev,
         libglu1-mesa-dev,
         libqt5opengl5-dev (>= 5.0.2),
         libxv-dev,
         qtbase5-dev (>= 5.5.0),
         ${misc:Depends}
Conflicts: libavidemux2.7-qt5-dev
Replaces: libavidemux2.7-qt5-dev
Description: Free video editor (devel)
 Avidemux is a free video editor designed for simple cutting, filtering and

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QT_SELECT = 5
export DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

BUILDDIR=build
INSTALLDIR=debian/tmp

%:
	dh $@

override_dh_auto_clean:
	rm -rvf $(BUILDDIR)* install avidemux/qt5/common
	rm -vf avidemux/qt4/xdg_data/org.avidemux.Avidemux.appdata.xml

override_dh_auto_build:
	chmod +x bootStrap.bash
	./bootStrap.bash --with-system-libass --with-system-liba52 --with-system-libmad

override_dh_auto_test:
	for dir in `ls -d $(BUILDDIR)*`; \
		do \
			dh_auto_test -B$$dir --parallel; \
		done

override_dh_auto_install:
	for dir in `ls -d $(BUILDDIR)*`; \
		do \
			dh_auto_install -B$$dir --parallel --destdir="$(INSTALLDIR)"; \
		done

override_dh_install:
	dh_install -pavidemux-plugins-common \
		-XpluginSettings -XshaderDemo -Xcli -Xqt5
	dh_install -plibavidemux-dev -Xcli -Xqt5
	dh_install -O--parallel --remaining-packages

override_dh_strip:
	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
http://sf.net/avidemux/avidemux_([\d\.]+)\.tar\.gz

## avidemux 2.8.1

=== debian/changelog ===
avidemux (1:2.8.1-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Don't build with unavailable libaften-dev.
  * d/control: put in non-free/video section.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 23 Jul 2023 09:02:42 -0700

avidemux (1:2.8.1-1~xtradeb1) jammy; urgency=medium

  * New upstream release.
  * New Features
   - New HiDPI compatible button set
   - Fast method to add partial filters via CTRL+F shortcut
   - Audio department improvements
    - custom frame rate change (audio stretch with pitch control)
    - configurable compressor (DRC)
    - 3-band equalizer
    - independent channel gain options
    - independent channel delay options
    - channel remap options
    - new downmix options: stereo headphone and headphone virtual surround
    - audio track configuration up to 32 tracks
    - volume setting is saved upon exit
   - Light and dark theme options in View menu
   - Option to remember selected resize method in "Resize", "Fit to size" and
     "Zoom" filters
   - New filter: 3D LUT
   - New filter: Decimate
   - New filter: Arbitrary Rotate
   - New video encoder: VideoToolbox HEVC ("ffVTEncHEVC", macOS only)
  * Other Enhancements
   - HDR tonemapping performance and quality improvements
   - Extended file info
   - Rotating mouse wheel over buttons to seek by 60 seconds cycles through
     1/2/4/60 seconds seek modes
   - Support for decoding 8-bit VP9 in hardware via DXVA2 on Windows and via
     VDPAU on Linux with graphics cards featuring a VP9 decoder
   - Buttons to seek to selection start (A) and end (B) in on-the-fly video
     filter preview
   - Logo image in "Add logo" video filter configuration dialog is now scalable,
     can be repositioned by dragging
   - By default, on-the-fly preview in video filter configuration dialogs is now
     rendered using OpenGL to improve performance in HiDPI conditions
  * Bugfixes
   - Crash on copy to clipboard if selection extends to the end of video, a
     regression introduced in v2.8.0
   - Crashes in "Resample FPS" video filter with motion interpolation enabled
   - Crash on finishing encoding with the vp9 encoder
   - Avidemux falling victim to a crash in VA-API driver triggered by probing on
     application startup on Linux with some recent hardware
   - Crash loading MPEG-TS or MPEG-PS file with MPEG-1 video track and HW
     decoder via VDPAU enabled
   - Wrong number of channels or wrong channel layout with some E-AC3 streams
   - Reduced contrast and desaturated colors in loaded BMP images
   - Selection starting at zero and ending at the last picture of video cannot
     be deleted
   - Disabling B-frames breaks VideoToolbox HW encoder (macOS only)
  * Miscellaneous
   - Bundled FFmpeg libraries have been updated to 4.4.2 release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sun, 18 Sep 2022 14:16:13 +0200

avidemux (1:2.8.0-2~xtradeb2) jammy; urgency=medium

  * Rebuild for jammy

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Thu, 14 Apr 2022 13:24:46 +0000

avidemux (1:2.8.0-2~xtradeb1) focal; urgency=medium

  * New upstream release.
  * Behavior
   * The part of video preceding the presentation time of the first frame is now
     excluded from created segment, making all videos appear as if they
     "start at zero".
   * When saving video, the frame matching the B marker is now excluded from the
     exported range. Therefore, if the B marker is set to the last frame of the
     video, it needs to be reset to the full duration for the last frame to be
     included into the output.
   * Loading Matroska files with HEVC video tracks takes longer as slice headers
     are decoded to detect the frame type.
  * New Video Filters
   * Analyzer
   * Blur (on selected area)
   * Cartoon
   * Color balance (adjust shadow, midtone and highlight)
   * Chroma hold (monochrome effect with kept colors)
   * Chroma key (replace "green screen" with an image)
   * Deband (reduce banding artifacts)
   * DelogoHQ (clean up arbitrary shaped logo)
   * Dynamic threshold
   * Fade from first image
   * Fade in (combination of multiple effects)
   * Fade out (combination of multiple effects)
   * Fade through (combination of multiple effects)
   * Fit to size (resize and pad to the specified size)
   * Flip (vertically/horizontally flip the image)
   * Grid (video wall effect)
   * Image stabilizer (reduce camera shakiness)
   * Luma stabilizer (reduce flickering)
   * Mirror
   * Posterize
   * Quadrilateral transformation (four point transform)
   * Wavelet denoiser
   * Wavelet sharpener
   * Zoom (partializable crop filter)
  * New Features
   * HDR video can be converted to SDR with tone mapping using a variety of
     methods.
   * FFV1 encoder is back (it was available in Avidemux 2.5.x).
   * TrueHD audio tracks can be decoded and are supported for Matroska
     containers.
   * Decoding support for WMA9 Lossless codec.
   * Filter previews have got a unified method to quickly compare filtered and
     unfiltered inputs via the "Peek Original" button.
   * Blend and motion interpolation options added to "Resample FPS" filter.
   * Mark cut points (segment boundaries) on the navigation slider. New buttons
     and shortcuts are provided to jump to these cut points.
   * In the Video Filter Manager, active filters can be temporarily disabled.
   * Preference added to load sequentially named pictures in reverse order,
     allowing to reverse video by exporting selection as JPEG images and loading
     the first one.
   * During playback navigation is possible via keys or by dragging the
     navigation slider.
  * Other Enhancements
   * "Resample FPS" and "Change FPS" filters can handle up to 1000 fps.
   * "Crop" filter's preview has got a translucent green masking.
   * "Crop" filter's Auto Crop function can achieve perfect crops (if the
     selected frame is not too dark).
   * The maximum output resolution of the "Resize" filter has been increased to
     8192x8192


=== debian/control ===
--- 
+++ 
@@ -18,12 +18,13 @@
                libdca-dev,
                libfaac-dev,
                libfdk-aac-dev,
+               libffmpeg-nvenc-dev,
                libfontconfig1-dev,
                libfribidi-dev,
                libmad0-dev,
                libmp3lame-dev,
                libogg-dev,
-#               libopenh264-dev,
+               libopenh264-dev,
                libopus-dev,
                libpng-dev,
                libpostproc-dev,
@@ -38,7 +39,6 @@
                libx265-dev,
                libxv-dev,
                libxvidcore-dev,
-#               nv-codec-headers,
                pkg-config,
                qtbase5-dev,
                qttools5-dev-tools,
@@ -51,10 +51,10 @@
 Depends: libavidemux6 (= ${binary:Version}),
          libavidemux6-cli (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
-         avidemux-plugins-cli
+         ${shlibs:Depends}
 Conflicts: avidemux2.7-cli
 Replaces: avidemux2.7-cli
+Recommends: avidemux-plugins-cli
 Description: Free video editor - command line version
  Avidemux is a free video editor designed for simple cutting, filtering and
  encoding tasks. It supports many file types, including AVI, DVD compatible
@@ -80,9 +80,10 @@
 
 Package: avidemux-jobs-qt
 Architecture: any
-Depends: avidemux-common, ${misc:Depends}, ${shlibs:Depends}, avidemux-cli
+Depends: avidemux-common, ${misc:Depends}, ${shlibs:Depends}
 Conflicts: avidemux2.7-jobs-qt5
 Replaces: avidemux2.7-jobs-qt5
+Recommends: avidemux-cli
 Description: Free video editor - Jobs (Qt 5)
  Avidemux is a free video editor designed for simple cutting, filtering and
  encoding tasks. It supports many file types, including AVI, DVD compatible
@@ -158,8 +159,8 @@
          libavidemux6 (= ${binary:Version}),
          libavidemux6-qt (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
-         avidemux-plugins-common, avidemux-plugins-qt
+         ${shlibs:Depends}
+Recommends: avidemux-plugins-common, avidemux-plugins-qt
 Suggests: vdpau-va-driver | xvba-va-driver | i965-va-driver
 Conflicts: avidemux2.7-qt5
 Replaces: avidemux2.7-qt5
@@ -298,4 +299,3 @@
 Conflicts: libavidemux2.7-qt5-dev
 Replaces: libavidemux2.7-qt5-dev
 Description: Free video editor (devel)
- Avidemux is a free video editor designed for simple cutting, filtering and

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export QT_SELECT = 5
 export DPKG_EXPORT_BUILDFLAGS = 1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
@@ -15,7 +14,7 @@
 	dh $@
 
 override_dh_auto_clean:
-	rm -rvf $(BUILDDIR)* install avidemux/qt5/common
+	rm -rvf $(BUILDDIR)* install avidemux/qt4/common
 	rm -vf avidemux/qt4/xdg_data/org.avidemux.Avidemux.appdata.xml
 
 override_dh_auto_build:
@@ -40,5 +39,6 @@
 	dh_install -plibavidemux-dev -Xcli -Xqt5
 	dh_install -O--parallel --remaining-packages
 
+# No dbgsym packages:
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym

## avidemux 2.8.1%2B20221010.gitccd3df5cb

=== debian/changelog ===
avidemux (1:2.8.1+20221010.gitccd3df5cb-2~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Drop dmo branding.
  * Drop libaften-dev and libmp4v2-dev as build-deps; not in the repo, plus
    libfaad-dev, which causes FTBFS.
  * Change section to non-free/video section.
  * Build against Debian's libffmpeg-nvenc-dev.
  * Make recommended packages explicit dependencies.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 24 Jul 2023 12:44:59 -0700

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo2) unstable; urgency=medium

  * Update included ffmpeg to 4.4.4
  * Fixes various security issues: CVE-2022-3109, CVE-2022-3341,
    CVE-2022-3964

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Apr 2023 08:27:47 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo1) unstable; urgency=medium

  * New git snapshot from origin/support_2.8.1
  * Update included ffmpeg to 4.4.3

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Oct 2022 01:51:38 +0200

avidemux-dmo (1:2.8.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 Sep 2022 07:52:15 +0200

avidemux-dmo (1:2.8.0+20220207.git7293b9c7c-dmo2) unstable; urgency=medium

  * Update included ffmpeg to 4.4.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Apr 2022 15:00:49 +0200

avidemux-dmo (1:2.8.0+20220207.git7293b9c7c-dmo1) unstable; urgency=medium

  * New git snapshot from origin/support_2.8.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 07 Feb 2022 00:42:43 +0100

avidemux-dmo (1:2.8.0+20220201.gitb34a5061f-dmo1) unstable; urgency=medium

  * Start to package git branch called origin/support_2.8.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 01 Feb 2022 14:55:14 +0100

avidemux-dmo (1:2.8.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 25 Dec 2021 11:02:13 +0100

avidemux-dmo (1:2.7.8+20210927.git6595680c4-dmo2) unstable; urgency=medium

  * Build with libvpx7

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Oct 2021 14:24:00 +0200

avidemux-dmo (1:2.7.8+20210927.git6595680c4-dmo1) unstable; urgency=medium

  * New upstream snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 27 Sep 2021 11:05:29 +0200

avidemux-dmo (1:2.7.8+20210616.gitdc323dac9-dmo1) unstable; urgency=medium

  * Start to package git branch called origin/support_2.7.8

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 16 Jun 2021 12:54:35 +0200

avidemux-dmo (1:2.7.8-dmo5) unstable; urgency=medium

  * Build with libx264-164

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 Jun 2021 08:08:03 +0200

avidemux-dmo (1:2.7.8-dmo4) unstable; urgency=medium

  * Build with libx264-163

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 May 2021 17:59:48 +0200

avidemux-dmo (1:2.7.8-dmo3) unstable; urgency=medium

  * Build with libx265-199

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Apr 2021 15:35:46 +0200

avidemux-dmo (1:2.7.8-dmo2) unstable; urgency=medium

  * Build with libaom3

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Mar 2021 15:47:29 +0100

avidemux-dmo (1:2.7.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 05 Mar 2021 08:19:36 +0100

avidemux-dmo (1:2.7.6-dmo2) unstable; urgency=medium

  * Update included ffmpeg to 4.2.4 fix CVE-2020-13904
  * Build Conflicts nv-codec-headers for arm64, armel, armhf and powerpc
    architectures otherwise the build fail.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Jul 2020 10:17:51 +0200

avidemux-dmo (1:2.7.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 06 Jul 2020 08:59:27 +0200

avidemux-dmo (1:2.7.4-dmo9) unstable; urgency=medium

  * Build with libx265-192

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Jun 2020 08:35:35 +0200

avidemux-dmo (1:2.7.4-dmo8) unstable; urgency=medium

  * Build with libx264-160

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Apr 2020 09:59:59 +0200

avidemux-dmo (1:2.7.4-dmo7) unstable; urgency=medium

  * Build with libx265-188

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 18 Feb 2020 13:01:13 +0100

avidemux-dmo (1:2.7.4-dmo6) unstable; urgency=medium

  * Fix FTBFS for armel, armhf and arm64 arches.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Feb 2020 19:24:55 +0100

avidemux-dmo (1:2.7.4-dmo5) unstable; urgency=medium

  * Update included ffmpeg to 4.1.5 fixes CVE-2019-17539, CVE-2019-17542

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jan 2020 15:47:44 +0100

avidemux-dmo (1:2.7.4-dmo4) unstable; urgency=medium

  * Build with libx264-159

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 17 Dec 2019 13:50:58 +0100

avidemux-dmo (1:2.7.4-dmo3) unstable; urgency=medium

  * Build against qtbase-abi-5-12-5 and/or qtdeclarative-abi-5-12-5.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Oct 2019 09:08:26 +0200

avidemux-dmo (1:2.7.4-dmo2) unstable; urgency=medium

  * Rebuild against libx265-179

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 26 Sep 2019 17:58:11 +0200

avidemux-dmo (1:2.7.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 15 Aug 2019 16:20:17 +0200

avidemux-dmo (1:2.7.3-dmo5) unstable; urgency=medium

  * Rebuild against libx264-158

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 20 Jul 2019 15:10:48 +0200

avidemux-dmo (1:2.7.3-dmo4) unstable; urgency=medium

  * Update included ffmpeg to 4.1.4
  * This release fix CVE-2019-12730

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 09 Jul 2019 09:47:32 +0200

avidemux-dmo (1:2.7.3-dmo3) unstable; urgency=medium

  * Rebuild against libx265-176



=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring parallel=,$(DEB_BUILD_OPTIONS)))
	NCPUS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NCPUS := $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
	ifeq ($(NCPUS),-1)
		NCPUS:=1
	endif
	ifeq ($(NCPUS),0)
		NCPUS:=1
	endif
endif

CMAKE_SYSTEM_PROCESSOR = $(shell dpkg-architecture -qDEB_BUILD_ARCH)

CONFIGURE_OPTIONS = -DUSE_EXTERNAL_LIBASS=true \
		-DUSE_EXTERNAL_LIBA52=true \
		-DUSE_EXTERNAL_LIBMAD=true \
		-DUSE_EXTERNAL_MP4V2=false \
		-DENABLE_QT5=True \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DVAPOURSYNTH=OFF

##-DCMAKE_CONFIG_RUNTIME_CPUDETECT=False

# git clone https://github.com/mean00/avidemux2_i18n avidemux/qt4/i18n/
# rm -rf avidemux/qt4/i18n/.git

FFMPEG_VERSION = $(shell grep FFMPEG_VERSION cmake/admFFmpegVersion.cmake | cut -d'"' -f2)

ifneq "$(FFMPEG_VERSION)" "4.4.2"
	exit 1
endif

LOCAL_FFMPEG = 4-4-4

export QT_SELECT=5

# ninja doesn't work 04/04/2023

%:
	dh $@ -Scmake --with quilt -X.h -X.cmake

override_dh_auto_configure:
	mkdir -p buildCore/ffmpeg/build
	mkdir buildCore/ffmpeg/source
	touch buildCore/ffmpeg/ffmpeg-$(FFMPEG_VERSION).tar.bz2
	touch avidemux_core/ffmpeg_package/ffmpeg-$(FFMPEG_VERSION).tar.bz2
	cp -r ffmpeg-$(LOCAL_FFMPEG)/* buildCore/ffmpeg/source

	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildCore -Davidemux_core -- \
	$(CONFIGURE_OPTIONS) -Wno-dev

#	exit 1

	cd buildCore && $(MAKE) -j $(NCPUS)
	dh_auto_install -BbuildCore

#	exit 1

	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildQt5 -Davidemux/qt4 -- \
	-DFAKEROOT=$(CURDIR)/debian/tmp $(CONFIGURE_OPTIONS) -Wno-dev

	dh_auto_build -BbuildQt5
	dh_auto_install -BbuildQt5

	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildPluginsCommon -Davidemux_plugins -- \
	-DFAKEROOT=$(CURDIR)/debian/tmp $(CONFIGURE_OPTIONS) \
	-DAVIDEMUX_SOURCE_DIR=$(CURDIR) -DPLUGIN_UI=COMMON -Wno-dev

	dh_auto_build -BbuildPluginsCommon
	dh_auto_install -BbuildPluginsCommon

	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildCli -Davidemux/cli -- \
	-DFAKEROOT=$(CURDIR)/debian/tmp $(CONFIGURE_OPTIONS) -Wno-dev

	dh_auto_build -BbuildCli
	dh_auto_install -BbuildCli

	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildPluginsQt5 -Davidemux_plugins -- \
	-DFAKEROOT=$(CURDIR)/debian/tmp $(CONFIGURE_OPTIONS) \
	-DAVIDEMUX_SOURCE_DIR=$(CURDIR) -DPLUGIN_UI=QT4 -Wno-dev

	dh_auto_build -BbuildPluginsQt5
	dh_auto_install -BbuildPluginsQt5

	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildPluginsCLI -Davidemux_plugins -- \
	-DFAKEROOT=$(CURDIR)/debian/tmp $(CONFIGURE_OPTIONS) \
	-DAVIDEMUX_SOURCE_DIR=$(CURDIR) -DPLUGIN_UI=CLI -Wno-dev

	dh_auto_build -BbuildPluginsCLI
	dh_auto_install -BbuildPluginsCLI

override_dh_install:
	rm -rf debian/tmp/usr/lib/ADM_plugins6/shaderDemo/
	rm -rf debian/tmp/usr/include/avidemux

	dh_install

override_dh_auto_clean:
	dh_auto_clean -BbuildCore
	dh_auto_clean -BbuildQt5
	dh_auto_clean -BbuildCli
	dh_auto_clean -BbuildPluginsCommon
	dh_auto_clean -BbuildPluginsQt5
	dh_auto_clean -BbuildPluginsCLI

override_dh_clean:
	dh_clean addons/avisynthproxy/avsproxy.exe avidemux/winInstaller/plugin/UAC.dll \
	avidemux_plugins/ADM_demuxers/NativeAvisynth/AviSynth.dll \
	avidemux/qt4/xdg_data/org.avidemux.Avidemux.appdata.xml \
	avidemux/qt4/common avidemux_core/ffmpeg_package/ffmpeg-$(FFMPEG_VERSION).tar.bz2 \
	avidemux_plugins/ADM_videoFilters6/avsfilter/avsload_pipe_binary.tar.bz2

override_dh_makeshlibs:
	dh_makeshlibs -a -V

# uncomment to debug avidemux
#override_dh_strip:

override_dh_prep override_dh_auto_build override_dh_auto_install override_dh_auto_test:

## avidemux 2.8.1+20221010.gitccd3df5cb

=== debian/control ===
Source: avidemux
Section: non-free/video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@deb-multimedia.org>
# Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://fixounet.free.fr/avidemux/
Standards-Version: 4.6.2
Build-Conflicts: libesd0-dev,
                 liboss4-salsa-dev
Build-Depends: cmake,
               debhelper-compat (= 13),
               imagemagick,
               liba52-dev,
#               libaften-dev,
               libaom-dev,
               libasound2-dev [linux-any],
               libass-dev,
               libdca-dev,
               libfaac-dev,
# Causes FTBFS, and the internal one from ffmpeg works fine
#                libfaad-dev (>= 2.7),
               libfdk-aac-dev (>= 2.0.0~),
               libfontconfig1-dev,
               libfribidi-dev,
               libjack-jackd2-dev,
               libmad0-dev,
               libmjpegtools-dev,
               libmp3lame-dev,
#               libmp4v2-dev,
               libopencore-amrnb-dev,
               libopencore-amrwb-dev,
               libopus-dev,
               libpulse-dev,
               libpython3-dev,
               libqt5opengl5-dev,
               libsamplerate0-dev,
               libsdl-dev,
               libsqlite3-dev,
               libtwolame-dev,
               libva-dev,
               libvdpau-dev,
               libvorbis-dev,
               libvpx-dev (>= 1.4.0),
               libx264-dev (>= 0.158~),
               libx265-dev,
               libxml2-dev,
               libxmu-dev,
               libxv-dev,
               libxvidcore-dev,
#              nv-codec-headers [amd64 arm64],
               libffmpeg-nvenc-dev [amd64 arm64],
               qtbase5-dev,
               qtscript5-dev,
               qttools5-dev,
               quilt,
               xsltproc,
               yasm [any-amd64 any-i386]

Package: avidemux
Architecture: any
Depends: avidemux-qt, ${misc:Depends}
Description: Free video editor
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package installs the QT version.

Package: avidemux-qt
Architecture: any
Depends: avidemux-common,
         avidemux-plugins (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         lame,
         mjpegtools,
         twolame
# Recommends: lame, mjpegtools, twolame
Replaces: avidemux (<< 1:2.5.6-dmo11)
Provides: avidemux
Description: Free video editor (QT version)
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the QT version.

Package: avidemux-cli
Architecture: any
Depends: avidemux-common,
         avidemux-plugins (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         lame,
         mjpegtools,
         twolame
# Recommends: lame, mjpegtools, twolame
Provides: avidemux
Description: Free video editor (command line version)
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the command line version.

Package: avidemux-common
Architecture: all
Replaces: avidemux (<= 1:2.4.0-0.0)
Depends: ${misc:Depends}
Description: Free video editor (Internationalization files)
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains internationalization files needed to translate
 strings in avidemux to others languages.

Package: avidemux-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: avidemux (<= 1:2.5.1-0.4), libavidemux
Conflicts: libavidemux
Description: Free video editor (plugins)
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package includes plugins to extend the functionality of Avidemux.

=== debian/watch ===
version=4

#opts="uversionmangle=s/beta1|r7200-win|sdk_|_win32//" \
#https://sf.net/avidemux/avidemux_(.*)@ARCHIVE_EXT@

https://github.com/mean00/avidemux2/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
